unit Unit1;

interface

uses
  Windows, Messages, Variants, Controls, Forms, WMPLib_TLB;

type
  TForm1 = class(TForm)
    procedure FormResize(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    //  TWindowsMediaPlayer 𕔕iuɃo[ƂĒ`
    FPlayer: TWindowsMediaPlayer;
    //  TWindowsMediaPlayer 蒼
    procedure ReCreatePlayer();
  public
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

//-----------------------------------------------------------------------------
//  TWindowsMediaPlayer 蒼
//  http://hpcgi1.nifty.com/MADIA/DelphiBBS/wwwlng.cgi?print+200711/07110026.txt
//  WindowsMediaPlayer1ς̍Đ\ɂ́H
procedure TForm1.ReCreatePlayer();
var
    LCore: IWMPCore;
    LPlayer4Disp: IWMPPlayer4Disp;
begin
    //  ĂȂ
    if not Assigned(FPlayer) then
    begin
        //  
        FPlayer := TWindowsMediaPlayer.Create(Self);
        //  TWindowsMediaPlayer R|̃TCY Form ̃TCYɍ킹
        FPlayer.Align := alClient;
        //  Align ̌ Parent ݒ(tƂ)
        FPlayer.Parent := Self;
        //  vC[̃C^[tF[Xo(?)
        LCore := FPlayer.ControlInterface;
        if Assigned(LCore) then
        begin
            //  StretchToFit ĂC^[tF[Xւ̎QƂo
            LCore.QueryInterface(IWMPPlayer4Disp, LPlayer4Disp);
            if Assigned(LPlayer4Disp) then
            begin
                //  ŁAݒ肷
                LPlayer4Disp.StretchToFit := True;
            end;
        end;
    end;
end;

//-----------------------------------------------------------------------------
//  tH[쐬
procedure TForm1.FormCreate(Sender: TObject);
begin
    FPlayer := nil;
end;

//-----------------------------------------------------------------------------
//  tH[j
procedure TForm1.FormDestroy(Sender: TObject);
begin
    //  vC[j
    FPlayer.Free();
    FPlayer := nil;
end;

//-----------------------------------------------------------------------------
//  tH[TCYύX
procedure TForm1.FormResize(Sender: TObject);
begin
    //  vC[j
    FPlayer.Free();
    FPlayer := nil;
    //  
    ReCreatePlayer();
    //  Đt@Cw肷
    FPlayer.URL := '!1FB36AC0__1661.wmv';
    //  \
    FPlayer.Show();
end;

end.
